scope_denied event

Workspace apps are deprecated

Legacy workspace apps are deprecated and will retire in August 2021. Learn more.

OAuth scopes were denied to your app

Compatibility: Events API


{DEVELOPER_PREVIEW_WARNING}

When subscribed and your workspace app is denied a new scope you requested, we'll dispatch this event to tell you about it.

{
    "token": "verification-token",
    "team_id": "T1DD3JH3K",
    "api_app_id": "A7449NRUL",
    "event": {
        "type": "scope_denied",
        "scopes": [
            "files:read",
            "files:write",
            "chat:write"
        ],
        "trigger_id": "241582872337.47445629121.string"
    },
    "type": "event_callback",
    "authed_teams": [],
    "event_id": "Ev74V2J98E",
    "event_time": 1505519097
}

The inner event describes an array of scopes you requested but were denied access to. It includes a trigger_id you may use with dialog.open or Permissions API requests.

Events API compatibility

Subscribe to this event via the Events API.

Events of this type will be wrapped in metadata when sent via the Events API.

Unavailable in the RTM API

This event type is compatible only with the Events API.

Was this page helpful?